import es, wcs, gamethread, random, popuplib, playerlib
from wcs import wcs

race.registerAuthor('Grudenstoff')

name = 'Mutated Crab'
race = wcs.Race(name)
wcs.Race(name).registerMinLevel(300)
allowed_weapons = ('knife')
race.registerWeaponRestriction('allow only',allowed_weapons)
race.registerSkill('Shell Hardening',5,1,'Harden your shell so you can withstand more damage.')
race.registerSkill('Increased Speed',5,1,'Improve this skill to run faster.')
race.registerSkill('Sharper Claws',5,1,'Sharper Claws allow you to do more damage to your opponents.')

def player_spawn(ev):
        userid = int(ev['userid'])
        harden = wcs.GetLevel(userid, name, 'Shell Hardening')
        if wcs.GetRace(userid) == 'Mutated Crab':
            if harden:
                    wcs.Command(userid).ArmorAdd(harden*20)
                    es.tell(userid, '#multi', '#red:Shell Hardening: #default- #red[Activated]')
        speed = wcs.GetLevel(userid, name, 'Increased Speed')
            if speed:
                    wcs.Command(userid).Speed(1+(speed*.6))
                    es.tell(userid, '#multi', '#red:Increased Speed: #default- #red[Activated]')
def prep_hurt(ev):
        userid = int(ev['userid'])
        attacker = int(ev['attacker'])
        damage = int(ev['dmg_health'])
        claws = wcs.GetLevel(attacker, name, 'Sharper Claws')*.9
        if claws:
                wcs.Command(userid).Damage(damage*claws,32,attacker)
                es.tell(attacker,'#multi','#red:Sharper Claws: #default- #red[You have done #default%s #reddamage to your target]')
                es.tell(userid,'#multi','#red:Sharper Claws: #default- #red[You have been hit with #default%s #reddamage from your opponent]')
